swshswshPublic API
Download OpenAPIView raw

Retrieve all albums the caller has access to

GET/album/getAlbums

Authentication

Include your API key in the x-api-key header on every request.

Query parameters

limitinteger≥ 1≤ 64default: 32
cursorstring
searchstring
relationship"Admin" | "Participant"
A user's relationship to an album

Response · 200 Albums retrieved successfully

dataArray<Album>required
object
albumIdstringrequired
namestringmin 1max 40
ownerIdstring
shareUrlstring
A URL that can be shared with others to view the album. This URL is static and will always point to the album. You can safely cache this URL for future use.
numPhotosinteger
The number of photos in the album
numParticipantsinteger
The number of participants in the album (inclusive of the album owner)
cursorstring
A cursor to be used in subsequent requests to retrieve the next page of results. If this is `{}`, there are no more results to retrieve.
warningsArray<string>
string

Errors

400Invalid request. The request was malformed or missing required parameters.